These docs are for v1. Click to read the latest docs for v3.

Vehicle Diagnostics

The Diagnostic API allows you to retrieve diagnostic information and DTCs (Diagnostic Trouble Code) reported by the OBD system of your vehicle. A DTC is an alphanumeric code used to identify vehicle problems. For example, the DTC C1446 indicates a brake switch circuit failure.

The API response contains information such as the diagnostic code, definition of the code, vehicle name, location, and timestamp.

Diagnostic information of multiple vehicles can be obtained in a single API call.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://api.azuga.com/azuga-ws/v1/diagnostics.json

{  
   "vehicleIds":[  
      "ad965910-3685-11e5-b8e2-c5b6a804c369",
      "cc24608d-dc14-11e4-bf2b-435f55649c28"
    ],
   "fromDate":"2016-06-20 00:00:00",
   "toDate":"2016-06-21 23:59:00"
}

API Response explanation

FieldDescription
codeAPI Status Code
messageAPI Message (Success/Failure)
messageCodeFor Azuga internal use
generatedAtAPI generation timestamp in UTC
vehicleName of the vehicle
groupName of the vehicle’s group
dateTimeDTC generation timestamp in milliseconds
firstNameFirst name of the driver
lastNameLast name of the driver
parentGroupParent of the vehicle’s group
vehicleIdUnique identifier representing the vehicle
makeMake of the vehicle
modelModel of the vehicle
yearYear of the vehicle
displayTimeZoneTimezone of the vehicle
offsetTime offset in minutes
addressAddress of the location where the DTC was generated
codeDiagnostic troubleshooting code (DTC) reported by the vehicle
descriptionShort text describing the DTC
latLatitude coordinate of the location where the DTC was generated
lngLongitude coordinate of the location where the DTC was generated
spnCodeSuspect Parameter Number code
fmiCodeFailure Mode Identifier code
repairImportanceThe priority at which the problem is to be fixed. Categorized as high, medium, and low
severityLevelThe severity of the problem from a repair difficulty perspective. Categorized as hard, moderate, and easy
detailedDescriptionDetailed description of the problem
symptomsIndication of the problem
possibleCausesPotential reasons that could have led the problem
customerIdUnique identifier representing the customer
dtcMessageIdMessage ID (internal reference)
Body Params
vehicleIds
array of strings

Unique identifier of the vehicle. Accepts multiple vehicle IDs separated by commas. One of the following is mandatory- vehicleIds, vehicleNames,groupIds, groupNames

vehicleIds
vehicleNames
array of strings

Name of the vehicle. Accepts multiple names separated by commas

vehicleNames
groupIds
array of strings

Unique identifier of the group. Accepts multiple group IDs separated by commas

groupIds
groupNames
array of strings

Name of the vehicle’s group. Accepts multiple group names separated by commas

groupNames
string
required

Include vehicle diagnostics for an interval starting from this timestamp. Timestamp should be in milliseconds or yyyy-mm-dd hh:mm:ss format

string
required

Include vehicle diagnostics for an interval up to this timestamp. Timestamp should be in milliseconds or yyyy-mm-dd hh:mm:ss format

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json